diff --git a/web/webpack.config.js b/web/webpack.config.js
index 6d2e00b2b..e723e5da4 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -309,11 +309,6 @@ var getThemeWebpackConfig = function(theme_name) {
       // Module and Rules: https://webpack.js.org/configuration/module/
       // Loaders: https://webpack.js.org/loaders/
       //
-      // imports-loader: it adds dependent modules(use:imports-loader?module1)
-      // at the beginning of module it is dependency of like:
-      // var jQuery = require('jquery'); var browser = require('pgadmin.browser')
-      // It solves number of problems
-      // Ref: http:/github.com/webpack-contrib/imports-loader/
       rules: themeCssRules(theme_name),
     },
     resolve: {
@@ -398,7 +393,8 @@ module.exports = [{
       use: {
         loader: 'babel-loader',
         options: {
-          presets: [['@babel/preset-env', {'modules': 'commonjs', 'useBuiltIns': 'usage', 'corejs': 3}]],
+          presets: [['@babel/preset-env', {'modules': 'commonjs', 'useBuiltIns': 'usage', 'corejs': 3}], '@babel/preset-react'],
+          plugins: ['@babel/plugin-proposal-class-properties'],
         },
       },
     }, {
@@ -420,6 +416,11 @@ module.exports = [{
       query: webpackShimConfig,
       include: path.join(__dirname, '/pgadmin/browser'),
     }, {
+      // imports-loader: it adds dependent modules(use:imports-loader?module1)
+      // at the beginning of module it is dependency of like:
+      // var jQuery = require('jquery'); var browser = require('pgadmin.browser')
+      // It solves number of problems
+      // Ref: http:/github.com/webpack-contrib/imports-loader/
       test: require.resolve('./pgadmin/tools/datagrid/static/js/datagrid'),
       use: {
         loader: 'imports-loader?' +
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index 9854f0deb..da19b6897 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -82,9 +82,6 @@ var webpackShimConfig = {
       'deps': ['jquery', 'jquery.ui', 'jquery.event.drag'],
       'exports': 'Slick',
     },
-    'flotr2': {
-      deps: ['bean'],
-    },
     'alertify': {
       'exports': 'alertify',
     },
@@ -141,8 +138,6 @@ var webpackShimConfig = {
     'moment': path.join(__dirname, './node_modules/moment/moment'),
     'jquery.event.drag': path.join(__dirname, './node_modules/slickgrid/lib/jquery.event.drag-2.3.0'),
     'jquery.ui': path.join(__dirname, './node_modules/slickgrid/lib/jquery-ui-1.11.3'),
-    'flotr2': path.join(__dirname, './node_modules/flotr2/flotr2.amd'),
-    'bean': path.join(__dirname, './node_modules/flotr2/lib/bean'),
     'jqueryui.position': path.join(__dirname, './node_modules/jquery-contextmenu/dist/jquery.ui.position'),
     'jquery.contextmenu': path.join(__dirname, './node_modules/jquery-contextmenu/dist/jquery.contextMenu'),
     'dropzone': path.join(__dirname, './node_modules/dropzone/dist/dropzone'),
diff --git a/web/webpack.test.config.js b/web/webpack.test.config.js
index b48d104ba..750fffc70 100644
--- a/web/webpack.test.config.js
+++ b/web/webpack.test.config.js
@@ -36,7 +36,8 @@ module.exports = {
         use: {
           loader: 'babel-loader',
           options: {
-            presets: [['@babel/preset-env', {'modules': 'commonjs', 'useBuiltIns': 'usage', 'corejs': 3}]],
+            presets: [['@babel/preset-env', {'modules': 'commonjs', 'useBuiltIns': 'usage', 'corejs': 3}], '@babel/preset-react'],
+            plugins: ['@babel/plugin-proposal-class-properties'],
             sourceMap: 'inline',
           },
         },
@@ -90,8 +91,6 @@ module.exports = {
       'slickgrid': nodeModulesDir + '/slickgrid/',
       'slickgrid.plugins': nodeModulesDir + '/slickgrid/plugins/',
       'slickgrid.grid': nodeModulesDir + '/slickgrid/slick.grid',
-      'bean': path.join(__dirname, './node_modules/flotr2/lib/bean'),
-      'flotr2': path.join(__dirname, './node_modules/flotr2/flotr2.amd'),
       'moment': path.join(__dirname, './node_modules/moment/moment'),
       'browser': path.resolve(__dirname, 'pgadmin/browser/static/js'),
       'pgadmin': sourcesDir + '/js/pgadmin',
